Subject: bug#49508: Implement --allow-insecure-transport for `guix pull`

From: Leo Famulari <[email-masked]>
Date: Sat, 10 Jul 2021 13:28:10 -0400

As discussed in #46829, `guix pull` needs an option like
--allow-insecure-transport so that users can continue to pull from the
same channel even when their local certificate store has expired or is
otherwise invalid.

[0] <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=46829#114>